<?php
define( 'DATALIFEENGINE', true );
define( 'ROOT_DIR', substr( dirname(  __FILE__ ), 0, -7 ) );
define( 'SYSTEM_DIR', ROOT_DIR . '/system' );

error_reporting( 7 );
ini_set( 'display_errors', true );
ini_set( 'html_errors', false );

include SYSTEM_DIR . '/data/config.php';
require_once SYSTEM_DIR . '/classes/templates.class.php';

$tpl = new dle_template( );
$tpl->dir = ROOT_DIR . '/templates';
define( 'TEMPLATE_DIR', $tpl->dir );

$tpl->load_template( 'opensearch.tpl' );

$tpl->set( '{path}', $config['http_home_url'] );

$tpl->compile( 'main' );

header( 'Content-type: application/xml' );
echo $tpl->result['main'];
?>